Public Member Functions

# wxPersistentBookCtrl Class Reference

`#include <wx/persist/bookctrl.h>`

Inheritance diagram for wxPersistentBookCtrl:
[legend]

## Detailed Description

Persistence adapter for wxBookCtrlBase.

This adapter handles the selected page of wxBookCtrlBase, i.e. it saves its value when the associated book control is destroyed and restores it when it is recreated.

See also:
  wxPersistentTreeBookCtrl

## Public Member Functions
| wxPersistentBookCtrl (wxBookCtrlBase *book)
| Constructor.
virtual void | Save () const
| Save the currently selected page index.
virtual bool | Restore ()
| Restore the selected page index.

List of all members.

## Constructor & Destructor Documentation

wxPersistentBookCtrl::wxPersistentBookCtrl | ( | wxBookCtrlBase * | book | ) |

Constructor.

Parameters:

  | book | The associated book control.

## Member Function Documentation

virtual bool wxPersistentBookCtrl::Restore | ( |  | ) | `[virtual]`

Restore the selected page index.

The book control must be initialized before calling this function, i.e. all of its pages should be already added to it -- otherwise restoring the selection has no effect.

Implements wxPersistentObject.

Reimplemented in wxPersistentTreeBook.

virtual void wxPersistentBookCtrl::Save | ( |  | ) | const`[virtual]`

Save the currently selected page index.

Implements wxPersistentObject.

Reimplemented in wxPersistentTreeBook.

|  | [ top ]